Package Details: ocamlnet 4.1.7-1

Git Clone URL: https://aur.archlinux.org/ocamlnet.git (read-only, click to copy)
Package Base: ocamlnet
Description: A library for Web and Internet programming in OCaml
Upstream URL: http://projects.camlcity.org/projects/ocamlnet.html
Licenses: GPL, LGPL
Submitter: guital
Maintainer: oriba
Last Packager: oriba
Votes: 58
Popularity: 0.196734
First Submitted: 2008-07-23 20:32
Last Updated: 2020-06-05 12:58

Latest Comments

« First ‹ Previous 1 2 3 4 5 6 7 8 9 10 Next › Last »

david_rysk commented on 2016-10-12 13:41

@oriba when I build it here (using pacaur or makepkg -s), netplex-admin and ocamlrpcgen end up in /bin. (Not /usr/sbin or /sbin). Additionally, running ./configure --help indicates that "-bindir /bin" is the default, which would explain why those binaries end up there, and why specifying "-bindir /usr/bin" resolves the problem. Again this has nothing to do with sbin.

Strangely, on another system these binaries end up in /usr/bin. It looks like for some reason the configure script is selecting -bindir /usr/bin automatically on that system and isn't doing so on the first one that is displaying issues.

Update: it appears that `which` is returning inconsistent results: on one system it gives /usr/bin paths, and on the other it gives /bin paths. On both systems /bin is a symlink to /usr/bin.
I'm perplexed here. Thoughts?

oriba commented on 2016-10-11 21:12

@david_rysk, @jkl:
Do you see any files that are installed to /bin or /usr/sbin in the filelist?

Fielist for ocamlnet-4.1.2-1-x86_64.pkg.tar.xz see here:
http://sprunge.us/JhbL

So I don't see the problem.

david_rysk commented on 2016-10-11 19:22

Would it be possible to have -bindir /usr/bin added to the PKGBUILD configure line? Recent versions of pacman will not install properly (as per the comment by jkl below).

The issue is due to the package installing files to /bin (placed there by make install), when it should be placing them into /usr/bin. The above change will resolve this issue — I have tested it locally.

oriba commented on 2015-07-29 09:46

Thank you for the info.
Will update the package immediately.

cesasol commented on 2015-07-29 01:04

4.0.4 is out

oriba commented on 2015-04-27 20:47

That comment by jkl is rubbish.
The package does not install to /usr/sbin.

jkl commented on 2015-04-27 17:04

This package installs files into /usr/sbin which is a symlink to /bin. Using makepkg this produces a package that will not upgrade correctly with newer versions of pacman. The package shouldn't place files in /usr/sbin.

oriba commented on 2015-04-27 00:21

gnutls-problem solved

w-flo commented on 2015-04-21 14:02

Disabling gnutls support fixed the build (and the software I want to use still works). Not sure if I just removed the "-enable-gnutls" flag, or if I replaced that with "-disable-gnutls".

oriba commented on 2015-04-21 13:20

I checked it, and compilation here fails too.
I mailed the OCamlnet-developer about the problem.